// Project-local debug tasks
//
// For more documentation on how to configure debug tasks,
// see: https://zed.dev/docs/debugger
[
  {
    "label": "Debug Zig Client",
    "adapter": "CodeLLDB",
    "request": "launch",
    "program": "$ZED_WORKTREE_ROOT/zig-out/bin/client",
    "cwd": "$ZED_WORKTREE_ROOT/",
    "build": "zig build",
  },
  {
    "label": "Debug Zig Server",
    "adapter": "CodeLLDB",
    "request": "launch",
    "program": "$ZED_WORKTREE_ROOT/zig-out/bin/server",
    "cwd": "$ZED_WORKTREE_ROOT/",
    "build": "zig build",
  },
  // {
  //   "adapter": "CodeLLDB",
  //   "label": "zig build run",
  //   "request": "launch",
  //   "build": {
  //     "label": "zig build",
  //     "command": "zig",
  //     "args": ["build"],
  //     "env": {},
  //     "cwd": null,
  //     "use_new_terminal": false,
  //     "allow_concurrent_runs": false,
  //     "reveal": "always",
  //     "reveal_target": "dock",
  //     "hide": "never",
  //     //"tags": [],
  //     "shell": "system",
  //     "show_summary": false,
  //     "show_command": false,
  //   },
  // },
]
